Package org.springframework.cloud.task.batch.configuration

# Class TaskJobLauncherApplicationRunnerFactoryBean

java.lang.Object
org.springframework.cloud.task.batch.configuration.TaskJobLauncherApplicationRunnerFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.FactoryBean<TaskJobLauncherApplicationRunner>`

public class TaskJobLauncherApplicationRunnerFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<TaskJobLauncherApplicationRunner>
Factory bean for creating an instance of `TaskJobLauncherApplicationRunner`.

Since:
  2.3.0
Author:
  Glenn Renfro

- ## Field Summary

  ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

  `OBJECT_TYPE_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskJobLauncherApplicationRunnerFactoryBean(org.springframework.batch.core.launch.JobLauncher jobLauncher, org.springframework.batch.core.explore.JobExplorer jobExplorer, List<org.springframework.batch.core.Job> jobs, TaskBatchProperties taskBatchProperties, org.springframework.batch.core.configuration.JobRegistry jobRegistry, org.springframework.batch.core.repository.JobRepository jobRepository, org.springframework.boot.autoconfigure.batch.BatchProperties batchProperties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskJobLauncherApplicationRunner`
  `getObject()`
  `Class<?>`
  `getObjectType()`
  `void`
  `setOrder(int order)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.springframework.beans.factory.FactoryBean

  `isSingleton`

- ## Constructor Details

  - ### TaskJobLauncherApplicationRunnerFactoryBean

    public TaskJobLauncherApplicationRunnerFactoryBean(org.springframework.batch.core.launch.JobLauncher jobLauncher, org.springframework.batch.core.explore.JobExplorer jobExplorer, List<org.springframework.batch.core.Job> jobs, TaskBatchProperties taskBatchProperties, org.springframework.batch.core.configuration.JobRegistry jobRegistry, org.springframework.batch.core.repository.JobRepository jobRepository, org.springframework.boot.autoconfigure.batch.BatchProperties batchProperties)

- ## Method Details

  - ### setOrder

    public void setOrder(int order)

  - ### getObject

    public TaskJobLauncherApplicationRunner getObject()
    Specified by:
      `getObject` in interface `org.springframework.beans.factory.FactoryBean<TaskJobLauncherApplicationRunner>`

  - ### getObjectType

    public Class<?> getObjectType()
    Specified by:
      `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<TaskJobLauncherApplicationRunner>`